package cn.stylefeng.workflow.rule.api;

import cn.stylefeng.roses.kernel.rule.pojo.response.ResponseData;

import java.util.Map;

public interface ExpressionEngineApi {

    boolean parseExpression(String expression);

    boolean parseExpression(String expression, Map<String, Object> variables);

    ResponseData<?> validateExpression(String expressionStr);

}
